Hi,<br><br>I have several machines on Ubuntu 10.04 (not my choice) on which I want to install a recent CubicWeb (for a single user on each machine). What is the best option for the installation ? I tried with virtualenv and easy_install but it failed (details below). Should I go with Mercurial and CubicWeb sources ?<br>

<br>For virtualenv and easy_install, there is a dependency problem between cubicweb (that requires rql >= 0.31.2) and rql (installed with version 0.31.0). I used the following commands for the installation:<br><br>virtualenv venv<br>

venv/bin/easy_install yapps2<br>sudo apt-get install libgraphviz-dev<br>venv/bin/easy_install pygraphviz<br>venv/bin/easy_install simplejson<br>venv/bin/easy_install docutils<br>venv/bin/easy_install lxml<br>venv/bin/easy_install twisted<br>

venv/bin/easy_install logilab-common<br>venv/bin/easy_install logilab-database<br>venv/bin/easy_install constraint<br>venv/bin/easy_install logilab-mtconverter<br>venv/bin/easy_install rql<br>venv/bin/easy_install yams<br>

venv/bin/easy_install indexer<br>venv/bin/easy_install passlib<br>venv/bin/easy_install pyro<br>venv/bin/easy_install psycopg2<br># plpythonu<br>venv/bin/easy_install fyzz<br>venv/bin/easy_install cubicweb<br><br>The output for cubicweb is:<br>

$ venv/bin/easy_install cubicweb<br>Searching for cubicweb<br>Best match: cubicweb 3.15.6<br>Processing cubicweb-3.15.6-py2.6.egg<br>cubicweb 3.15.6 is already the active version in easy-install.pth<br>Installing cubicweb-ctl script to /home/yc176684/cubicweb/venv/bin<br>

<br>Using /home/yc176684/cubicweb/venv/lib/python2.6/site-packages/cubicweb-3.15.6-py2.6.egg<br>Processing dependencies for cubicweb<br>Searching for rql>=0.31.2<br>Reading <a href="http://pypi.python.org/simple/rql/">http://pypi.python.org/simple/rql/</a><br>

Reading <a href="http://www.logilab.org/project/rql">http://www.logilab.org/project/rql</a><br>No local packages or download links found for rql>=0.31.2<br>error: Could not find suitable distribution for Requirement.parse('rql>=0.31.2')<br>

<br><br>The output for rql is:<br>$ venv/bin/easy_install rql<br>Searching for rql<br>Best match: rql 0.31.0<br>Processing rql-0.31.0-py2.6-linux-x86_64.egg<br>rql 0.31.0 is already the active version in easy-install.pth<br>

<br>Using /home/yc176684/cubicweb/venv/lib/python2.6/site-packages/rql-0.31.0-py2.6-linux-x86_64.egg<br>Processing dependencies for rql<br>Finished processing dependencies for rql<br><br>Best regards,<br><br>      Yann<br>